"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var api_service_grpc_pb_1 = require("./client/api-service_grpc_pb");
var api_core_grpc_pb_1 = require("./client/api-core_grpc_pb");
var CoreTypes = require("./client/api-core_pb");
exports.CoreTypes = CoreTypes;
var service_1 = require("./service");
var application_1 = require("./application");
var grpc = require("grpc");
var fs = require("fs");
var YAML = require("js-yaml");
var token = process.env.MESG_TOKEN;
var ymlPath = './mesg.yml';
var endpoint = process.env.MESG_ENDPOINT || 'localhost:50052';
var endpointTCP = process.env.MESG_ENDPOINT_TCP || '';
var defaultService;
var defaultApplication;
var service = function () {
    if (!defaultService) {
        var mesgConfig = YAML.safeLoad(fs.readFileSync(ymlPath));
        defaultService = new service_1.default({
            token: token,
            mesgConfig: mesgConfig,
            client: new api_service_grpc_pb_1.ServiceClient(endpointTCP, grpc.credentials.createInsecure()),
        });
    }
    return defaultService;
};
exports.service = service;
var application = function () {
    if (!defaultApplication) {
        defaultApplication = new application_1.default({
            client: new api_core_grpc_pb_1.CoreClient(endpoint, grpc.credentials.createInsecure())
        });
    }
    return defaultApplication;
};
exports.application = application;
//# sourceMappingURL=index.js.map